「web2py」のソーシャルブックマークウィジェットにXSSの脆弱性(JVN) | ScanNetSecurity
2021.11.29(月)

「web2py」のソーシャルブックマークウィジェットにXSSの脆弱性(JVN)

IPAおよびJPCERT/CCは、web2pyが提供するWebアプリケーションの作成、デザイン用のフレームワーク「web2py」にXSSの脆弱性が存在すると「JVN」で発表した。

脆弱性と脅威 セキュリティホール・脆弱性
独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は5月20日、web2pyが提供するWebアプリケーションの作成、デザイン用のフレームワーク「web2py」にクロスサイトスクリプティング(XSS)の脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。

「web2py バージョン 2.3.1 より前のバージョンに同梱されている share.js ウィジェット」には、XSSの脆弱性(CVE-2013-2311)が存在する。この脆弱性が悪用されると、share.jsを使用するweb2pyアプリケーションにアクセスした場合、ユーザのWebブラウザ上で任意のスクリプトが実行される可能性がある。JVNでは、開発者が提供する情報をもとに最新版へアップデートし、各アプリケーションが使用しているshare.jsを置き換えるよう呼びかけている。
《吉澤 亨史( Kouji Yoshizawa )》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

★★10/8~11/30迄 創刊23周年記念価格提供中★★
★★10/8~11/30迄 創刊23周年記念価格提供中★★

2021年10月8日(金)~11月30日(火) の間 ScanNetSecurity 創刊23周年記念価格で提供。

×